Delete a project.
https://app.fossa.com/api/projects/{locator}Permanently delete a project and its associated data. The caller must have Delete permission on the project, and the project must belong to the caller's organization.
Path parameters
locatorstringrequiredThe URL-encoded locator of the project (e.g., "git+github.com/owner/repo")
Responses
200Project deleted successfully.401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403Forbidden - Insufficient permissionsuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not Found - Project does not exist or you do not have access to ituuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
DELETE https://app.fossa.com/api/projects/git%252Bgithub.com%252Ffossas%252Ffossa-clicurl --request DELETE \ --url 'https://app.fossa.com/api/projects/git%252Bgithub.com%252Ffossas%252Ffossa-cli' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
locatorstringrequiredThe URL-encoded locator of the project (e.g., "git+github.com/owner/repo")